Loading...
Searching...
No Matches
ratelier_gather.hpp File Reference

defines structure that is suitable to gather data from many workers More...

`#include "config.h"`
`#include <vector>`
`#include <map>`
`#include <deque>`
`#include <memory>`
`#include "mutex.hpp"`

Go to the source code of this file.

## Classes

class | libthreadar::ratelier_gather< T >
| the class ratelier_gather's purpose it gather works from several worker threads More...

## Namespaces

namespace | libthreadar
| This is the only namespace used in libthreadar and all symbols provided by libthreadar are member of this namespace.

## Detailed Description

defines structure that is suitable to gather data from many workers

Definition in file ratelier_gather.hpp.